Skip to main content
POST
/
user
/
api-keys
Create an API key
curl --request POST \
  --url https://api.spike.ac/user/api-keys \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
{
  "apiKey": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "key": "<string>",
    "created_at": "<string>",
    "last_used": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://doc.spike.ac/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication using either a Supabase JWT token or an API key (prefixed with sk_). Both token types are passed as Bearer tokens in the Authorization header.

Body

application/json
name
string
required

API key name

Required string length: 1 - 50

Response

Created API key

apiKey
object
required